# Append recipients to a specified order using its unique Order ID (/api-reference/orders/v1-order-id-recipients-put) Append recipients to a specified order using its unique Order ID ## `PUT /v1/order/{id}/recipients` ### Parameters - `id` (path, required) — The Id of the order to add recipients to. ### Request body Content type: `application/json` (required) - `recipients` (array of `ExternalOrdersRecipientVm`, required) - `id` (integer (int32), required) - `address` (`ExternalOrdersRecipientAddressVm`, required) - `address1` (string | null, required) - `address2` (string | null, required) - `city` (string | null, required) - `state` (string | null, required) - `zipCode` (string | null, required) - `zip4` (string | null, required) - `zip2` (string | null, required) - `country` (string | null, required) - `personal` (`ExternalOrdersRecipientPersonalDataVm`, required) - `firstName` (string | null, required) - `lastName` (string | null, required) - `toOrganization` (string | null, required) - `salutation` (string | null, required) - `metadata` (`ExternalOrdersRecipientMetadataVm`, required) - `dpvConfirmationCode` (string | null, required) - `custom1` (string | null, required) - `custom2` (string | null, required) - `custom3` (string | null, required) - `custom4` (string | null, required) - `custom5` (string | null, required) - `custom6` (string | null, required) - `image1` (string | null, required) - `image2` (string | null, required) - `image3` (string | null, required) - `image4` (string | null, required) - `image5` (string | null, required) - `image6` (string | null, required) - `salutation` (string | null, required) - `returnTitle` (string | null, required) - `returnFirstName` (string | null, required) - `returnLastName` (string | null, required) - `returnOrganization` (string | null, required) - `returnAddress1` (string | null, required) - `returnAddress2` (string | null, required) - `returnCity` (string | null, required) - `returnZip` (string | null, required) - `returnState` (string | null, required) - `email` (string | null, required) - `qrUrl` (string | null, required) - `text` (string, required) - `text2` (string, required) - `radiusPinStreet` (string | null, required) - `radiusPinAddress` (string | null, required) - `fullAddress` (string, required) - `deliveryStatus` (string | null, required) ### Responses - `200` — Successful operation - `400` — Something went wrong - `401` — Authorization key not valid - `403` — Profile's subscription tier does not have access to OpenAPI integrations